package com.dev.swms.server.model.count;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

import com.dev.energy.server.model.Entity;

public class CountDetail extends Entity {
	/** 盘点计划 */
	private CountPlan countPlan;

	public CountPlan getCountPlan() {
		return countPlan;
	}
	public void setCountPlan(CountPlan countPlan) {
		this.countPlan = countPlan;
	}	
	
	public boolean equals(final Object other) {
		if (!(other instanceof CountDetail))
			return false;
		CountDetail castOther = (CountDetail) other;
		return new EqualsBuilder().append(countPlan, castOther.getCountPlan())
				.isEquals();
	}
	public int hashCode() {
		return new HashCodeBuilder().append(countPlan).toHashCode();
	}
}
